### Method

# Cogl Framebuffer rotate

#### Declaration [src]

    void
    cogl_framebuffer_rotate (
      CoglFramebuffer* framebuffer,
      float angle,
      float x,
      float y,
      float z
    )

#### Description [src]

Multiplies the current model-view matrix by one that rotates the model around the axis-vector specified by `x`, `y` and `z`. The rotation follows the right-hand thumb rule so for example rotating by 10 degrees about the axis-vector (0, 0, 1) causes a small counter-clockwise rotation.

#### Parameters

`angle`

  Type: `float`

  Angle in degrees to rotate.

`x`

  Type: `float`

  X-component of vertex to rotate around.

`y`

  Type: `float`

  Y-component of vertex to rotate around.

`z`

  Type: `float`

  Z-component of vertex to rotate around.